#!/bin/bash

dockerComposeDownRemove()
{
    local app_name="$1"

    if [[ "$app_name" == "" ]]; then
        isError "No app_name provided, unable to continue..."
    else
        if [[ "$OS_TYPE" == "Ubuntu" || "$OS_TYPE" == "Debian" ]]; then
            if [[ $CFG_DOCKER_INSTALL_TYPE == "rootless" ]]; then
                if [[ -d "$containers_dir$app_name" ]]; then
                    local result=$(dockerCommandRunInstallUser "cd $containers_dir$app_name && docker compose down -v --remove-orphans")
                    isNotice "Shutting down & Removing all $app_name container data"
                    dockerRemoveApp $app_name;
                else
                    isNotice "App directory '$app_name' not found. Skipping container shutdown."
                fi
            elif [[ $CFG_DOCKER_INSTALL_TYPE == "rooted" ]]; then
                if [[ -d "$containers_dir$app_name" ]]; then
                    local result=$(cd $containers_dir$app_name && docker compose down -v --remove-orphans)
                    isNotice "Shutting down & Removing all $app_name container data"
                    dockerRemoveApp $app_name;
                else
                    isNotice "App directory '$app_name' not found. Skipping container shutdown."
                fi
            fi
        fi
    fi
}